<?php
//form class provides a secure and easy way to create a form
//
class FormBuild{
	public static $months_longs = array('January', 'February', 'March', 'April', 'May', 'June', 'July', 
        'August', 'September', 'October', 'November', 'December'); 
	public function startForm($action = '#', $type = 'post', $id = NULL, $attr_arr = array()){
		$str = "<form action=\"$action\" method=\"$type\"";
		if(isset($id)){
			$str .= " id=\"$id\"";
		}
		$str .= $attr_arr ? $this->addAttrs($attr_arr).">" : ">";
		return $str;
	}

 //@function that adds attributes to evrystring   

	public function addAttrs($attr_arr){
		$str = '';
		$min_attrs = array("readonly", "disabled", "multiple", "checked");
		foreach($attr_arr as $key=>$val){
			if(in_array($key, $min_attrs)){
				if(!empty($val)){
					$str .= "$key=\"$key\"";
				}
				
			}else{
				$str .= "$key=\"$val\"";
			}
		}
		return $str;
	}
	
	//adds label
	public function addLabel($name, $value, $attr_arr = array()){
		$str = "<label for=\"$name\"";
		if($attr_arr){
			$str .= $this->addAttrs($attr_arr);
		}
		$str .= ">$value</label>";
		return $str;
	}
	
	//adds input tag, the type of tags may anything from the list of text, radio, checkbox, file, submit, button, password, image
	public function addInput($type, $name, $value = '', $attr_arr = array()){
		$str = "<input type=\"$type\" name=\"$name\" value=\"$value\"";
		if($attr_arr){
			$str .= $this->addAttrs($attr_arr);
		}
		$str .= " />";
		return $str;
	}
	
	//adds select box,
	 public function addSelect($name, $option_list, $bVal = true, $selected_value = NULL, $header = NULL, $attr_arr = array() ) {
        $str = "<select name=\"$name\""; 
        if ($attr_arr) { 
            $str .= $this->addAttrs( $attr_arr ); 
        } 
        $str .= ">\n"; 
        if ( isset($header) ) { 
            $str .= "  <option value=\"\">$header</option>\n"; 
        } 
        foreach ( $option_list as $val => $text ) { 
            $str .= $bVal? "  <option value=\"$val\"": "  <option"; 
            if ( isset($selected_value) && ( $selected_value === $val || $selected_value === $text) ) {
                $str .= ' selected="selected"'; 
            } 
            $str .= ">$text</option>\n"; 
        } 
        $str .= "</select>"; 
        return $str; 
    }
	public function addTextarea($name, $text, $attr_arr = array()){
		$str = "<textarea name=\"$name\""; 
		if($attr_arr) {
			$str .= $this->addAttrs( $attr_arr );
		}
		$str .= ">$text</textarea>";
		return $str;
	}
	public function endForm(){
		return "</form>";
	}
	
}
?>